Subject: Re: bug#34862: 27.0.50; Trying to update pinyin.map

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Mar 2019 21:39:11 +0200

> From: Eric Abrahamsen <[email-masked]>
> Cc: Richard Stallman <[email-masked]>,  [email-masked]
> Date: Wed, 20 Mar 2019 12:30:22 -0700
> 
> > I think this should be done with a script, and that script should be
> > in our repository.  The easiest kind of a script is a Lisp program, of
> > course, but we can also use other kinds, such as Awk scripts.
> 
> Awk seems just right for the problem, but I haven't written much in it;
> I did the original munging in elisp. Would this be a script written for
> use with -batch and a custom make target?

Yes.

> should it also be responsible for downloading a recent copy of the
> source file, or should that be done first, and the function pointed
> at the file?

The latter, I think.  That's what we do with the other data files we
use from external sources, e.g. see admin/unidata/.